%global _empty_manifest_terminate_build 0
Name:		python-gitdb
Version:	4.0.5
Release:	1
Summary:	Git Object Database
License:	BSD
URL:		https://github.com/gitpython-developers/gitdb
Source0:	https://files.pythonhosted.org/packages/d1/05/eaf2ac564344030d8b3ce870b116d7bb559020163e80d9aa4a3d75f3e820/gitdb-4.0.5.tar.gz
BuildArch:	noarch
%description
GitDB allows you to access bare git repositories for reading and writing.\
It aims at allowing full access to loose objects as well as packs with\
performance and scalability in mind. It operates exclusively on streams,\
allowing to handle large objects with a small memory footprint.


%package -n python3-gitdb
Summary:	Git Object Database
Provides:	python-gitdb
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Requires:	python3-smmap
%description -n python3-gitdb
GitDB allows you to access bare git repositories for reading and writing.\
It aims at allowing full access to loose objects as well as packs with\
performance and scalability in mind. It operates exclusively on streams,\
allowing to handle large objects with a small memory footprint.


%package help
Summary:	Development documents and examples for gitdb
Provides:	python3-gitdb-doc
%description help
GitDB allows you to access bare git repositories for reading and writing.\
It aims at allowing full access to loose objects as well as packs with\
performance and scalability in mind. It operates exclusively on streams,\
allowing to handle large objects with a small memory footprint.


%prep
%autosetup -n gitdb-4.0.5

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-gitdb -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Jul 09 2021 openstack-sig <openstack@openeuler.org>
- Update to 4.0.5

* Mon Oct 26 2020 Jiachen Fan <fanjiachen3@huawei.com> - 4.0.1-1
- package init
